Console Activity Logs
GET/partner/logs/user_activity_log/:user_code
Retrieve a paginated list of user console activity audit logs.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200Success
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": {
"total_count": 100,
"search_data": {
"from": "2026-03-01 00:00:00",
"to": "2026-03-31 23:59:59",
"user_code_list": [
"DEMO-USR-001"
],
"user_activity_type": "create",
"user_domain_idx_list": [
1,
2
],
"user_ip": "203.0.113.50",
"page": 1,
"per_page": 30
},
"user_activity_log_list": [
{
"register_date": "2026-03-01 16:42:54",
"user_activity_log_type": "my_site_add",
"user_activity_type": "create",
"content_json_value": {},
"detail_json_value": {},
"webserver_domain": "example.com",
"response_code": "200",
"user_name": "john",
"user_email": "user@example.com",
"user_ip": "203.0.113.50",
"format_content_value": "Download",
"format_detail_value": "Report download: 2026-03-01 12:53:55 ~ 2026-03-02 20:00:00",
"format_reaseon_code": "Success"
}
]
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | object |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |